﻿@using Microsoft.AspNet.Identity
@if (Request.IsAuthenticated)
{
    using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
    {
        //lisasin siia, et näitaks sisse logimisel üleval paremal displayname ja et siin ta muudab selle õigeks. 
        string displayName = 
            MVCAutentimisega.Models
            .AspNetUser.ByEmail(User.Identity.GetUserName()).DisplayName;
    @Html.AntiForgeryToken()

    <ul class="nav navbar-nav navbar-right">
        <li>    @*rida allpool asendasin teksti sõnaga displayname*@
            @Html.ActionLink("Tere " + displayName + "!", "Index", "Manage", routeValues: null, htmlAttributes: new { title = "Manage" })
        </li>
        <li><a href="javascript:document.getElementById('logoutForm').submit()">Log off</a></li>
    </ul>
    }
}
else
{
    <ul class="nav navbar-nav navbar-right">
        <li>@Html.ActionLink("Register", "Register", "Account", routeValues: null, htmlAttributes: new { id = "registerLink" })</li>
        <li>@Html.ActionLink("Log in", "Login", "Account", routeValues: null, htmlAttributes: new { id = "loginLink" })</li>
    </ul>
}
